libbladeRF: bladerf_gain_cal_tbl Struct Reference

| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Public Types | Data Fields
bladerf_gain_cal_tbl Struct Reference
Gain Calibration

## Description

Gain calibration table. The table contains a series of entries, each associating a frequency with a gain correction factor. Entries are sorted by frequency, from start_freq to stop_freq.

Definition at line 4230 of file libbladeRF.h.

`#include <libbladeRF.h>`

## Public Types
enum | gain_cal_state { BLADERF_GAIN_CAL_UNINITIALIZED , BLADERF_GAIN_CAL_LOADED , BLADERF_GAIN_CAL_UNLOADED }

## Data Fields
struct bladerf_version | version
bladerf_channel | ch
bool | enabled
uint32_t | n_entries
bladerf_frequency | start_freq
bladerf_frequency | stop_freq
struct bladerf_gain_cal_entry * | entries
bladerf_gain | gain_target
size_t | file_path_len
char * | file_path
enum bladerf_gain_cal_tbl::gain_cal_state | state

## Member Enumeration Documentation

## ◆ gain_cal_state

enum gain_cal_state

Definition at line 4241 of file libbladeRF.h.

## Field Documentation

## ◆ ch

bladerf_channel ch

Channel

Definition at line 4232 of file libbladeRF.h.

## ◆ enabled

bool enabled

Whether gain calibration is enabled.

Definition at line 4233 of file libbladeRF.h.

## ◆ entries

struct bladerf_gain_cal_entry* entries

Sorted calibration entries

Definition at line 4237 of file libbladeRF.h.

## ◆ file_path

char* file_path

Path to the file from which the table was loaded.

Definition at line 4240 of file libbladeRF.h.

## ◆ file_path_len

size_t file_path_len

Length of the file path string.

Definition at line 4239 of file libbladeRF.h.

## ◆ gain_target

bladerf_gain gain_target

Compensated gain

Definition at line 4238 of file libbladeRF.h.

## ◆ n_entries

uint32_t n_entries

Number of entries

Definition at line 4234 of file libbladeRF.h.

## ◆ start_freq

bladerf_frequency start_freq

Start frequency (Hz)

Definition at line 4235 of file libbladeRF.h.

## ◆ state

enum bladerf_gain_cal_tbl::gain_cal_state state

Calibration state

## ◆ stop_freq

bladerf_frequency stop_freq

Stop frequency (Hz)

Definition at line 4236 of file libbladeRF.h.

## ◆ version

struct bladerf_version version

Table format version

Definition at line 4231 of file libbladeRF.h.

The documentation for this struct was generated from the following file:

- libbladeRF.h